Skip to main content
PUT
/
v0
/
organizations
/
{organization_id}
/
spending-limit
curl --request PUT \
  --url 'https://api.unify.ai/v0/organizations/<organization_id>/spending-limit' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "monthly_spending_cap": 500.0
}'
{
    "organization_id": 1,
    "monthly_spending_cap": 500.0,
    "cascaded_updates": {
        "users_capped": 3,
        "assistants_capped": 7
    }
}
Set the monthly spending limit for an organization. When the limit is lowered, member and assistant limits that exceed the new org limit will be automatically capped to the org limit (eager cascade). Setting to null removes the limit (no cap for members/assistants from this org).

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
integer
required

Body

monthly_spending_cap
number | null
required
Monthly spending limit in dollars. Set to null to remove the limit.
curl --request PUT \
  --url 'https://api.unify.ai/v0/organizations/<organization_id>/spending-limit' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "monthly_spending_cap": 500.0
}'
{
    "organization_id": 1,
    "monthly_spending_cap": 500.0,
    "cascaded_updates": {
        "users_capped": 3,
        "assistants_capped": 7
    }
}